Bug 176716 - improper texdoc application bindings
improper texdoc application bindings
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: tetex (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jindrich Novy
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-12-30 14:34 EST by Michael A. Peters
Modified: 2013-07-02 19:12 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-01-10 08:54:11 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Michael A. Peters 2005-12-30 14:34:56 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.12) Gecko/20050922 Fedora/1.0.7-1.1.fc4 Firefox/1.0.7

Description of problem:
As discussed on mailing list

The /usr/bin/texdoc script by default wants to use xdvi to view tetex documentation that is in the PDF format. xdvi is only installed by custom request, and not likely to be installed a lot of systems. evince would be a better default.

There is a workaround - by setting the environmental variable TEXDOCVIEW_pdf to something like evince or gnome-open in the users .bashrc file, ie - 

export TEXDOCVIEW_pdf='(evince %s) &'

but the texdoc script should default to applications that are more likely to be installed in Fedora Core rather than giving an error about xdvi not found.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. rpm -e xdvi
2. texdoc somedoc
3.
  

Actual Results:  xdvi - command not found

Expected Results:  use evince by default

Additional info:

http://www.redhat.com/archives/fedora-devel-list/2005-December/msg01250.html

I'm *hoping* this will get fixed before fc5
Comment 1 Jindrich Novy 2005-12-30 14:56:15 EST
I fixed that immediatelly after I sent the answer to your email on fedora-devel.
The new teTeX packages are now built on all arches except s390 and s390x that
are stuck for a few days. The packages will occur after they are built there.
It's enough time to let the fix occur in FC5.

Moving to MODIFIED and will close this RAWHIDE when the packages are built.

Note You need to log in before you can comment on or make changes to this bug.